{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    End Semester Result
{% endblock %}

{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                End Semester Result for {{semester.semester_number}}
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">

                <form method="POST">{% csrf_token %}
                    <input type="hidden" name="semester" value="{{ semester }}">
                    {{ for each in course }}
                    <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                       id={{ field.id_for_label }}>{{ each.course_id }}</label>
                    <div class="form-horizontal form-label-left">
                            <div role="alert" class="alert alert-success alert-dismissible fade in" align="center">
                                   <input type="dropdown" id="Gradept" name="each.course_id" value="0" required /><br/>
                                   <input type="dropdown" id="Gradept" name="each.course_id" value="5" required/><br/>
                                   <input type="dropdown" id="Gradept" name="each.course_id" value="6" required/><br/>
                                   <input type="dropdown" id="Gradept" name="each.course_id" value="7" required/><br/>
                                   <input type="dropdown" id="Gradept" name="each.course_id" value="8" required/><br/>
                                   <input type="dropdown" id="Gradept" name="each.course_id" value="9" required/><br/>
                                   <input type="dropdown" id="Gradept" name="each.course_id" value="10" required/><br/>
                           </div>
                                  
                    </div>
                    {{ endfor }}


                    <div class="col-md-12" align="center">

                        <!-- Button trigger modal -->
                        <button type="button" class="btn1 btn1-success" data-toggle="modal" data-target="#myModal">
                            Submit Marks
                        </button>

                        <!-- Modal -->
                        <div class="modal" id="myModal" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel1" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                        <h4 class="modal-title" id="myModalLabel1"><b>Confirm Submission</b></h4>
                                    </div>
                                    <div class="modal-body">
                                        <h4>
                                            <ul>
                                                <li>Are you sure to submit your Marks for semester {{semester.semester_number}} ?</li>
                                            </ul>
                                        </h4>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn1 btn1-secondary" data-dismiss="modal">Close
                                        </button>
                                        <button type="submit" name="submitFeedback" class="btn1 btn-dark-green">Submit
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            {% endif %}
        </div>
    </div>


    <form id="dummy_form" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

    </script>



{% endblock %}
